{
  "name": "@hereconnect/couchdb-changes-stream",
  "version": "1.0.1",
  "type": "module",
  "repository": "https://github.com/Ti-webdev/couchdb-changes-stream",
  "bugs": "https://github.com/Ti-webdev/couchdb-changes-stream/issues",
  "description": "Stream CouchDB changes feed with support for pause, resume, and reconnection in TypeScript.",
  "main": "./dist/CouchDBChangesStream.js",
  "types": "./dist/CouchDBChangesStream.d.ts",
  "exports": {
    ".": {
      "import": "./dist/CouchDBChangesStream.js",
      "default": "./dist/CouchDBChangesStream.js"
    }
  },
  "browser": "./dist/CouchDBChangesStream.js",
  "files": [
    "dist/**/*"
  ],
  "scripts": {
    "clean": "rm -rf dist",
    "build": "tsc",
    "test": "jest",
    "test:watch": "jest --watch",
    "prepublishOnly": "npm run build",
    "lint": "tsc --noEmit src/CouchDBChangesStream.ts",
    "prepare": "npm run build"
  },
  "keywords": [
    "couchdb",
    "changes feed",
    "typescript",
    "stream",
    "reconnection"
  ],
  "author": "Your Name",
  "license": "MIT",
  "devDependencies": {
    "@jest/types": "^29.6.3",
    "@types/jest": "^29.5.14",
    "@types/node": "^22.10.1",
    "eslint": "^9.16.0",
    "eslint-config-prettier": "^9.1.0",
    "eslint-plugin-prettier": "^5.2.1",
    "prettier": "^3.4.1",
    "typescript": "~5.7.2"
  }
}
